Histos3D: 
  process:
    process_type: interpolated-script-cmd
    script: |
      source /home/atlas/release_setup.sh
      echo "{SERVICE_PASS}" | kinit {CERN_USER}@CERN.CH
      mkdir TestInputFiles
      xrdcp {inputFile} TestInputFiles/output.root
      echo TestInputFiles/output.root >> inputFiles.txt
      root -l -b -q Histos3D.cxx+\(\"inputFiles.txt\",\"{configFile}\",\"Output_Histos3D.root\",\"NoArea\",\"ApplyWeight\",\"ForwardArea\"\)
      mv Output_Histos3D.root {stepDir}/Output_Histos3D.root
  publisher:
    publisher_type: interpolated-pub
    publish:
      histFile: '{stepDir}/Output_Histos3D.root'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/residualcalibration 
    imagetag: ptdependence-bba16983
    

Histos3Dto2D: 
  process:
    process_type: interpolated-script-cmd
    script: |
      source /home/atlas/release_setup.sh
      cd scripts
      python Histos3Dto2D.py -i {inputFile} -o Output_Histos3Dto2D.root
      cp Output_Histos3Dto2D.root {stepDir}/Output_Histos3Dto2D.root
  publisher:
    publisher_type: interpolated-pub
    publish:
      histFile: '{stepDir}/Output_Histos3Dto2D.root'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/residualcalibration 
    imagetag: ptdependence-bba16983
    
DeriveResidualCorr: 
  process:
    process_type: interpolated-script-cmd
    script: |
      source /home/atlas/release_setup.sh
      ls 
      g++ -o DeriveResidualCorr Correction3D/CorrelatedResidual.cxx `root-config --cflags --glibs`
      ./DeriveResidualCorr {inputFile} {configFile} th2 ResidualHistogramOutput.root
      cp ResidualHistogramOutput.root {stepDir}/ResidualHistogramOutput.root
      cp residualCalibParameters.root {stepDir}/residualCalibParameters.root
      pwd
      ls
  publisher:
    publisher_type: interpolated-pub
    publish:
      histFile: '{stepDir}/ResidualHistogramOutput.root'
      correctionsFile: '{stepDir}/residualCalibParameters.root'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/residualcalibration 
    imagetag: ptdependence-bba16983
    
Histos3DSubs3DCorrection: 
  process:
    process_type: interpolated-script-cmd
    script: |
      source /home/atlas/release_setup.sh
      echo "{SERVICE_PASS}" | kinit {CERN_USER}@CERN.CH
      mkdir TestInputFiles
      xrdcp {inputFile} TestInputFiles/output.root
      echo TestInputFiles/output.root >> inputFiles.txt
      root -l -b -q Correction3D/Histos3DSubs3DCorrection.cxx+\(\"inputFiles.txt\",\"{configFile}\",\"Output_Histos3DSubs3DCorrection.root\",\"ApplyArea\",\"ApplyWeight\",\"{inputResidualsFile}\"\)
      cp Output_Histos3DSubs3DCorrection.root {stepDir}/Output_Histos3DSubs3DCorrection.root
  publisher:
    publisher_type: interpolated-pub
    publish:
      histFile: '{stepDir}/Output_Histos3DSubs3DCorrection.root'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/residualcalibration 
    imagetag: ptdependence-bba16983
    

FitResiduals: 
  process:
    process_type: interpolated-script-cmd
    script: |
      source /home/atlas/release_setup.sh
      g++ -o FitResidual FitResiduals/FitResidual.cxx `root-config --cflags --glibs`
      echo "I want to run : ./FitResidual {inputFile} {configFile} {termName} do_mean" >> {stepDir}/runcommand.txt
  publisher:
    publisher_type: interpolated-pub
    publish:
      output: '{stepDir}/runcommand.txt'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/residualcalibration 
    imagetag: ptdependence-bba16983    
    
    
      
